package com.ssj.bean.sys.schoolmatecircle.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author Mount Liu
 * @date 2018/8/15
 */
@Entity
@Table(name = "scon_schoolmate_comment")
public class SchoolmateComment extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 同学圈分享id
     */
    private String schoolmateCircleId;
    /**
     * 评论人user_id
     */
    private String commentUserId;
    /**
     * 被评论人id
     */
    private String beCommentedUserId;
    /**
     * 评论内容
     */
    private String content;
    /**
     * 同学圈素材，多个素材用逗号隔开
     */
    private String material;
    /**
     * 被评论记录id
     */
    private String parentCommentId;
    /**
     * 点赞数量
     */
    private int likeNum;
    /**
     * 是否采纳(答题榜用到) 0:否 1:是
     */
    private int isAccept;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 是否删除 0:否 1:是
     */
    private int isDelete;

    public String getSchoolmateCircleId() {
        return schoolmateCircleId;
    }

    public void setSchoolmateCircleId(String schoolmateCircleId) {
        this.schoolmateCircleId = schoolmateCircleId;
    }

    public String getCommentUserId() {
        return commentUserId;
    }

    public void setCommentUserId(String commentUserId) {
        this.commentUserId = commentUserId;
    }

    public String getBeCommentedUserId() {
        return beCommentedUserId;
    }

    public void setBeCommentedUserId(String beCommentedUserId) {
        this.beCommentedUserId = beCommentedUserId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }

    public String getParentCommentId() {
        return parentCommentId;
    }

    public void setParentCommentId(String parentCommentId) {
        this.parentCommentId = parentCommentId;
    }

    public int getLikeNum() {
        return likeNum;
    }

    public void setLikeNum(int likeNum) {
        this.likeNum = likeNum;
    }

    public int getIsAccept() {
        return isAccept;
    }

    public void setIsAccept(int isAccept) {
        this.isAccept = isAccept;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }
}
